%define realname galago-sharp

Summary: .Net language bindings for Galago
Name: lib%realname
Version: 0.5.0
Release: alt5
License: LGPL
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: %realname-%version.tar.bz2
Source1: galago-sharp.dll.config
Patch1: galago-sharp-fix-disable-get-libgalago.patch
Patch2: galago-sharp-fix-nunit.patch
Patch3: galago-sharp-fix-path.patch
Patch4: galago-sharp-no-dbus-sharp.patch
Patch5: galago-sharp-api-0.5.2.patch

URL: http://galago-project.org/files/releases/source/%{realname}/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++ libgtk-sharp2-gapi mono-mcs libgtk-sharp2-devel xsltproc zlib-devel xsltproc
BuildRequires: libgalago-devel >= 0.5.2
BuildRequires: /proc
BuildRequires:  mono-devel mono-mcs mono-nunit rpm-build-mono

%description
.Net language bindings for the Galago desktop presence framework.

%package devel
Summary: .Net language bindings for Galago.Net development files 
Group: Development/Other
Requires: %name = %version-%release

%description devel
This package includes development files for .Net language bindings of the Galago desktop presence framework. 

%prep
%setup -n %realname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4
%patch5

%build
%__libtoolize --force
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign
%configure --disable-static
%make

%install
%make_install install DESTDIR=%buildroot
%__cp %SOURCE1 %buildroot%_monogacdir/%realname/*/

%files
%doc README ChangeLog AUTHORS NEWS
%_monodir/%realname
%_monogacdir/%realname
%_pkgconfigdir/%realname.pc

%files devel
%_datadir/gapi-2.0/*.xml

%changelog
* Wed Oct 08 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt5
- rebuild with libgalago-0.5.2 (soname so.3)
- update galago-api.raw for libgalago-0.5.2
- devel subpackage

* Mon Jan 14 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt4
- fix dll.config file (change libgalago.so to libgalago)
- rename galago-sharp-0.5.0-dll.config to galago-sharp.dll.config (#13181)

* Fri Jan 11 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt3
- build without libdbus-mono (patch4)

* Mon Nov 26 2007 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt2
- add --disable-static to configure
- rebuild with new rpm-build-mono-1.2

* Sat Oct 27 2007 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt1.1
- rebuild with new rpm-build-mono

* Thu Nov 30 2006 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt1
- Initial build for Sisyphus
